%define api		1.0
%define major		4
%define gir_major	1.0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gupnp-igd
Version:	0.2.2
Release:	%mkrel 2
Summary:	Handle Internet Gateway Device port mappings
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gupnp.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#Source0:	http://gupnp.org/sites/all/files/sources/%{name}-%{version}.tar.xz
Patch0:		gupnp-igd-0.2.2-linking.patch
Patch1:		gupnp-igd-0.2.2-automake1.13.patch
BuildRequires:	gupnp-devel
BuildRequires:	python-devel
BuildRequires:	python-gobject-devel
BuildRequires:	libgirepository-devel
# for autoreconf
BuildRequires:	gtk-doc

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-Igd is a library that handle Internet Gateway Device port mappings.

%package -n %{libname}
Summary:	Handle Internet Gateway Device port mappings
Group:		System/Libraries

%description -n %{libname}
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-Igd is a library that handle Internet Gateway Device port mappings.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %develname
Files for development with %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n python-%{name}
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
Python bindings for %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x --disable-static
make

%install
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/libgupnp-igd-%{api}.la

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/GUPnPIgd-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/gupnp-igd/
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_datadir}/gir-1.0/GUPnPIgd-1.0.gir

%files -n python-%{name}
%{python_sitearch}/gupnp


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-2.mga4
+ Revision: 523398
- Mageia 4 Mass Rebuild

* Mon Apr 15 2013 wally <wally> 0.2.2-1.mga3
+ Revision: 410146
- add patches to fix linking and build with new automake

  + dams <dams>
    - new version 0.2.2
    - clean specfile

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 352993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 179019
- new version 0.2.1
- use source from main site as there's no such file on gnome mirror
- disable docs regeneration on build time

* Mon Nov 07 2011 wally <wally> 0.2.0-1.mga2
+ Revision: 165062
- new major 4
- new version 0.2.0

* Sat Jun 25 2011 wally <wally> 0.1.11-1.mga2
+ Revision: 113607
- new version 0.1.11
- create new subpackage for gir .typelib

* Sun Jan 23 2011 wally <wally> 0.1.7-4.mga1
+ Revision: 33542
- rebuild for new gssdp and gupnp
- fix source tag

* Sat Jan 22 2011 wally <wally> 0.1.7-3.mga1
+ Revision: 33253
- remove old mdv scriptlets
- remove py_requires macro
- get rid of .la files
- clean .spec a bit
- imported package gupnp-igd


* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.1.7-2mdv2011.0
+ Revision: 593644
- fix build

* Fri Jul 23 2010 Jani Välimaa <wally@mandriva.org> 0.1.7-1mdv2011.0
+ Revision: 557292
- new version 0.1.7

* Thu Jan 07 2010 Jani Välimaa <wally@mandriva.org> 0.1.6-1mdv2010.1
+ Revision: 487177
- new version 0.1.6
- create a subpackage for python bindings
- add BR

* Fri Jan 01 2010 Emmanuel Andry <eandry@mandriva.org> 0.1.5-1mdv2010.1
+ Revision: 484807
- New version 0.1.5
- new major 3

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.3-3mdv2010.0
+ Revision: 445874
- Rebuild for new gupnp

* Sun Sep 20 2009 Götz Waschk <waschk@mandriva.org> 0.1.3-2mdv2010.0
+ Revision: 445814
- rebuild for new gupnp

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.1.3-1mdv2010.0
+ Revision: 387833
- Update to new version 0.1.3 (new major)

* Thu Mar 05 2009 Emmanuel Andry <eandry@mandriva.org> 0.1.1-1mdv2009.1
+ Revision: 349317
- import gupnp-igd


